<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SupplierListResponse StructType
 * @subpackage Structs
 */
class SupplierListResponse extends AbstractStructBase
{
    /**
     * The SupplierListRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $SupplierListRS;
    /**
     * Constructor method for SupplierListResponse
     * @uses SupplierListResponse::setSupplierListRS()
     * @param \StructType\JP_StaticDataRS $supplierListRS
     */
    public function __construct(\StructType\JP_StaticDataRS $supplierListRS = null)
    {
        $this
            ->setSupplierListRS($supplierListRS);
    }
    /**
     * Get SupplierListRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getSupplierListRS()
    {
        return $this->SupplierListRS;
    }
    /**
     * Set SupplierListRS value
     * @param \StructType\JP_StaticDataRS $supplierListRS
     * @return \StructType\SupplierListResponse
     */
    public function setSupplierListRS(\StructType\JP_StaticDataRS $supplierListRS = null)
    {
        $this->SupplierListRS = $supplierListRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SupplierListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
